image: $CI_REGISTRY/vlasami6/fmltest:master

test:
  script:
    - make
    #- cppcheck --error-exitcode=1 *.c
    - env FML="$(readlink -f ./fml)" FML_REF_BC_INT=/cfml/fml /FMLtest/suite ast_interpret
        $(/FMLtest/suite show fml)
        #hello_world
        #literals
        #variables
        #conditionals
        #loops
        #functions
        #function_value
        #builtins
        #arrays
        #iterator
        #fibonacci
        #fizzbuzz_fun
        #fizzbuzz_loop
        #roman
        #stack
        #brainfuck
        #langtons_ant
        #sudoku
